[Mageia-dev] change in perl automatic provides extraction

Jerome Quelin jquelin at gmail.com
Thu Aug 25 16:41:15 CEST 2011


hi,

currently, perl modules provided by a given rpm are automatically
extracted.  however, modules beginning with a lower-case are not
accounted, due to the following code in find-provides:

    echo "$filelist" | tr '[:blank:]' \\n | @RPMVENDORDIR@/perl.prov |
    grep 'perl([[:upper:]]' | sort -u \
            && test ${PIPESTATUS[2]} -ne 0 && echo 'error:
            @RPMVENDORDIR@/perl.prov failed' >&2 && exit 1

note the "grep 'perl([[:upper:]]'" part.

as more and more perl lower-case modules are released on cpan, or even
some pragmatas released on cpan, this is just plain wrong: we are forced
to add manually some "provides: perl(foo)" that have been filtered
out...  :-(

note also that perl 5 porters are currently speaking about trimming
perl (even pragmas), so this is not something i'm making out of my mind.

i therefore propose to apply the following patch:
$ svn di
Index: find-provides.in
===================================================================
--- find-provides.in    (révision 1889)
+++ find-provides.in    (copie de travail)
@@ -47,7 +47,7 @@
 #
 # --- Perl modules.
 [ -x @RPMVENDORDIR@/perl.prov ] &&
-    echo "$filelist" | tr '[:blank:]' \\n | @RPMVENDORDIR@/perl.prov | grep 'perl([[:upper:]]' | sort -u \
+    echo "$filelist" | tr '[:blank:]' \\n | @RPMVENDORDIR@/perl.prov | grep 'perl(' | sort -u \
        && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMVENDORDIR@/perl.prov failed' >&2 && exit 1
 
 #


==> if someone has a compelling reason to disagree, speak now

otherwise, i'll proceed with the change, and will rebuild (at least)
perl to provide those. other modules will be rebuilt when updating them
to latest upstream.

regards,
jérôme 


More information about the Mageia-dev mailing list